define("icyWildsComponentsGameControllerDeclaration", ["icyWildsWinLinesPort", "componentmodelComponentApi", "slotModelApi", "reelsApi", "gameLayoutApi", "clientkernelEventbusApi", "betPanelApi", "moneyApi"],
    function(icyWildsWinLinesPort, componentmodelComponentApi, slotModelApi, reelsApi, gameLayoutApi, clientkernelEventbusApi, betPanelApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof icyWildsComponentsGameControllerDeclaration == 'undefined') {
            var icyWildsComponentsGameControllerDeclaration = {};
        };
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration = function() {};
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration = ck_implements(icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.__name__ = ["icyWildsComponentsGameControllerDeclaration", "GameControllerDeclaration"];
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, reelsApi.IReelsPort, icyWildsWinLinesPort.IWinLinesPort, gameLayoutApi.IGameLayoutPort];
        };
        icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.__class__ = icyWildsComponentsGameControllerDeclaration.GameControllerDeclaration;
        return {
            exports: icyWildsComponentsGameControllerDeclaration
        };
    });
//# sourceURL=icyWildsGameControllerDeclaration.js